Package petsc4py :: Module PETSc

[hide private]
[frames] | no frames]

# Module PETSc

Portable, Extensible Toolkit for Scientific Computation

Classes | [hide private]

| AO
| Comm
| DA
| DM
| DMComposite
| DMDA
| DMLabel
| DMPlex
| DMShell
| DMStag
| DMSwarm
| DS
| Error
| FE
| IS
| InsertMode
| KSP
| LGMap
| Log
| LogClass
| LogEvent
| LogStage
| Mat
| NormType
| NullSpace
| Object
| Options Options(prefix=None)
| PC
| Partitioner
| PartitionerType
| Quad
| Random
| SF
| SNES
| Scatter
| ScatterMode
| Section
| Sys
| TAO TAO Solver
| TS
| Vec
| Viewer
| ViewerHDF5
| _DMComposite_access
| _DMDA_Vec_array
| _IS_buffer
| _Mat_Stencil
| _Vec_LocalForm _Vec_LocalForm(Vec gvec) Context manager for Vec local form
| _Vec_buffer

Functions | [hide private]

_finalize() |

_initialize(args=None, comm=None) |

Variables | [hide private]

| COMM_NULL = `<petsc4py.PETSc.Comm object at 0x7fe2de05b1d0>`
| COMM_SELF = `<petsc4py.PETSc.Comm object at 0x7fe2de071bd0>`
| COMM_WORLD = `<petsc4py.PETSc.Comm object at 0x7fe2de071c10>`
| DECIDE = `-1`
| DEFAULT = `-2`
| DETERMINE = `-1`
| INFINITY = `4.49423283716e+307`
| NINFINITY = `-4.49423283716e+307`
| PINFINITY = `4.49423283716e+307`
| __arch__ = ``'``arch-pydoc``'``
| __package__ = ``'``petsc4py``'``
| __pyx_capi__ = ``{``'``GetComm``'``:` <capsule object "MPI_Comm (PyObject`...``
| __type_registry__ = ``{`0`:` None`,` 1211212`:` <type 'petsc4py.PETSc.O`...``
| __warningregistry__ = ``{``(``'``numpy.ndarray size changed, may indic``...``

Variables Details | [hide private]

### __pyx_capi__

Value:

      {'GetComm': <capsule object "MPI_Comm (PyObject *, MPI_Comm)" at 0x7fe
      2f6528420>,
       'GetCommDefault': <capsule object "MPI_Comm (void)" at 0x7fe2f6528480
      >,
       'PyPetscAO_Get': <capsule object "AO (PyObject *)" at 0x7fe2f6528bd0>
      ,
       'PyPetscAO_New': <capsule object "PyObject *(AO)" at 0x7fe2f6528ba0>,
       'PyPetscComm_Get': <capsule object "MPI_Comm (PyObject *)" at 0x7fe2f
      ...

### __type_registry__

Value:

      {0: None,
       1211212: <type 'petsc4py.PETSc.Object'>,
       1211220: <type 'petsc4py.PETSc.Viewer'>,
       1211221: <type 'petsc4py.PETSc.Random'>,
       1211222: <type 'petsc4py.PETSc.IS'>,
       1211223: <type 'petsc4py.PETSc.LGMap'>,
       1211224: <type 'petsc4py.PETSc.Section'>,
       1211226: <type 'petsc4py.PETSc.AO'>,
      ...

### __warningregistry__

Value:

      {('numpy.ndarray size changed, may indicate binary incompatibility. Ex
      pected 16 from C header, got 80 from PyObject',
        <type 'exceptions.RuntimeWarning'>,
        4): True}